function [K, F] = ApplyRobinBC_mult_rot(model, K, F, alpha, u_out)
mesh = model.Mesh;
nodes = mesh.Nodes;
elements = mesh.Elements;

edgesAll = [elements([1 2],:), elements([2 3],:), elements([3 1],:)];
edgesSorted = sort(edgesAll,1);
[edgesUnique,~,ic] = unique(edgesSorted','rows');
counts = accumarray(ic,1);
boundaryEdges = edgesUnique(counts==1,:);

for k = 1:size(boundaryEdges,1)
    i = boundaryEdges(k,1);
    j = boundaryEdges(k,2);

    ri = nodes(1,i);
    rj = nodes(1,j);
    
    if ri == 0 && rj == 0
    % Edge lies on symmetry axis r = 0
    % -> homogeneous Neumann BC, no Robin contribution
        continue;
    end

    xi = nodes(:,i);
    xj = nodes(:,j);

    L = norm(xi - xj);
    rbar = 0.5 * (xi(1) + xj(1));   % r at edge midpoint

    Ke = rbar * alpha * L / 6 * [2 1; 1 2];
    Fe = rbar * alpha * u_out * L / 2 * [1; 1];

    K([i j],[i j]) = K([i j],[i j]) + Ke;
    F([i j]) = F([i j]) + Fe;
end
end
